.header {
  @include flex($justify-content: flex-end);

  padding-top: 23px;
  margin-bottom: 23px;

  position: relative;

  @media (min-width: $tablet-bp) {
    display: block;

    padding-top: 41px;
    margin-bottom: 43px;
  }

  @media (min-width: $desktop-bp) {
    padding-top: 45px;
    margin-bottom: 51px;
  }
}

.header__bttn {
  background-color: $footer-bg;
  border: none;

  width: 44px;
  height: 37px;
  padding: 0;

  @media (min-width: $tablet-bp) {
    display: none;
  }
}

.header__burger-wrapper {
  @include flex($direction: column, $align-items: center);

  row-gap: 2px;

  &--off {
    display: none;
  }
}

.header_x-wrapper {
  position: relative;

  &--off {
    display: none;
  }
}

.header__line {
  width: 17px;
  height: 2px;
  background-color: #fff;

  pointer-events: none;

  &--left {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-45deg);
  }
  &--right {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-135deg);
  }
}

.header__nav {
  position: absolute;
  top: 23px + 37px;
  right: 0;
  z-index: 1;

  &--closed {
    display: none;
  }

  @media (min-width: $tablet-bp) {
    display: block;
    position: static;
  }
}

.header__list {
  list-style: none;
  background-color: $menu-bg;
  padding: 4px 0 4px 12px;
  margin: 0;

  width: 182px;
  height: 208px;

  @include flex($direction: column, $justify-content: space-between);

  @media (min-width: $tablet-bp) {
    @include flex($direction: row, $justify-content: center);
    column-gap: 34px;
    background-color: transparent;

    padding: 0;
    margin: 0 auto;
    width: auto;
    height: auto;
  }

  @media (min-width: $desktop-bp) {
    column-gap: 68px;
  }
}

.header__item {
  @include text-style(11px, 400, 22px, $title-fc, uppercase);

  &--selected {
    color: $hover-fc;
  }

  @media (min-width: $tablet-bp) {
    cursor: pointer;

    &:hover {
      color: $hover-fc;
    }
    &--selected {
      color: $title-fc;
    }
  }
}
